#include <bits/stdc++.h>
using namespace std;

int main()
{
    long long z=1000000007;
    int l;
    cin>>l;
    string s ;
    cin>>s;

    long long n = s.length();

    char nizc[n + 1];
    strcpy(nizc, s.c_str());
    long long bruza=0;
   long long  prdup=1;
    char trenutna=nizc[0];
    for(char sl:nizc)
        {
            if(sl==trenutna)
                {
                  bruza++;


                }
            else
                {
                prdup=(prdup*bruza);

                trenutna=sl;
                bruza=1;

                }


        }
        long long y=prdup%z;
        y=prdup*bruza;


     long long rez=prdup%z;
     cout<<rez;




}